
Name:    amarok
Summary: Media player
Version: 1.94
Release: 2%{?dist}

Group: 	 Applications/Multimedia
License: GPLv2+
Url:     http://amarok.kde.org/
Source0: http://download.kde.org/unstable/amarok/%{version}/src/amarok-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: curl-devel
BuildRequires: desktop-file-utils
BuildRequires: gettext
# FIXME: bogus deps, from where?
BuildRequires: giflib-devel pcre-devel
BuildRequires: kdelibs4-devel >= 4.1.0
BuildRequires: kdebase-workspace-devel
BuildRequires: kdemultimedia-devel
BuildRequires: libifp-devel
BuildRequires: libgpod-devel gtk2-devel
BuildRequires: libmp4v2-devel
%if 0%{?fedora} > 9
BuildRequires: libmtp-devel >= 0.3.0
%endif
BuildRequires: libnjb-devel
BuildRequires: libusb-devel
BuildRequires: libxml2-devel
BuildRequires: loudmouth-devel
BuildRequires: mysql-embedded-devel
BuildRequires: soprano-devel
BuildRequires: taglib-devel

Requires(post): xdg-utils
Requires(postun): xdg-utils

Obsoletes: amarok-devel < 1.4.9 
Obsoletes: amarok-konqueror < 1.5
Obsoletes: amarok-visualisation < 1.5

%description
Amarok is a multimedia player with:
 - fresh playlist concept, very fast to use, with drag and drop
 - plays all formats supported by the various engines
 - audio effects, like reverb and compressor
 - compatible with the .m3u and .pls formats for playlists
 - nice GUI, integrates into the KDE look, but with a unique touch

%prep
%setup -q 


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}

# desktop files
desktop-file-install  --vendor "" \
  --dir %{buildroot}%{_kde4_datadir}/applications/kde4 \
  --delete-original \
  %{buildroot}%{_kde4_datadir}/applications/kde4/%{name}.desktop

%find_lang amarok || touch amarok.lang

# unpackaged files
rm -f %{buildroot}%{_kde4_libdir}/libamarok{_taglib,lib,plasma,pud}.so


%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig
xdg-desktop-menu forceupdate 2> /dev/null || :
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :


%postun
/sbin/ldconfig
xdg-desktop-menu forceupdate 2> /dev/null || :
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :


%files -f amarok.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_kde4_bindir}/*
%{_kde4_appsdir}/amarok/
%{_kde4_appsdir}/desktoptheme/Amarok-Mockup/
%{_kde4_appsdir}/desktoptheme/amarok-default.desktop
%{_kde4_appsdir}/desktoptheme/default/widgets/*
%{_kde4_configdir}/*
%{_kde4_datadir}/applications/kde4/*.desktop
%{_kde4_datadir}/config.kcfg/*
%{_kde4_datadir}/kde4/services/*
%{_kde4_datadir}/kde4/servicetypes/*.desktop
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_libdir}/kde4/*.so
%{_kde4_libdir}/kde4/plugins/script/*.so
%{_kde4_libdir}/lib*.so.*
%{_kde4_libdir}/libamarok_service_liblastfm.so
%{_kde4_libdir}/strigi/*
%{_datadir}/dbus-1/interfaces/*.xml


%changelog
* Fri Oct 31 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.94-2
- amarok-1.94 (2beta4)

* Wed Oct 15 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.92.2-1
- amarok-1.92.2 (2beta3)

* Thu Oct 02 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.92-2
- BR: gtk2-devel (gdk-pixbuf ipod artwork support)

* Thu Oct 02 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.92-1
- amarok-1.92 (2beta2)

* Wed Aug 20 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.90-1
- amarok-1.90 (2beta1)

* Tue Jul 22 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.86-1
- amarok-1.86 (amarok2 alpha 2)

* Wed Jun 11 2008 Dennis Gilmore <dennis@ausil.us> - 1.4.9.1-4
- we are building sparc32 as sparcv9 not sparc now  fix ifnarch

* Fri May  2 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.4.9.1-3
- fix libnjb support (#444940)

* Thu May  1 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.4.9.1-2.1
- --with-libvisual fedora-only (epel misses libvisual-plugins)

* Thu Apr 17 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.4.9.1-2
- specfile typo (unclosed macro)

* Tue Apr 15 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.4.9.1-1
- amarok-1.4.9.1

* Wed Mar 12 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.4.8-5
- -konqueror: drop Obsoletes: %%name < 1.4.8-4 , which breaks 
  multilib upgrades (#436578)

* Thu Feb 21 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.4.8-4
- -konqueror subpkg (#426803)
- fix multiarch conflicts (#340641)
  drop Provides: amarok-devel (f9+), add Obsoletes: amarok-devel
- gcc43 patch (#433904)

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.4.8-3
- Autorebuild for GCC 4.3

* Wed Jan 09 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 1.4.8-2
- f9+: don't build/include konq(3) side bar support

* Thu Dec 20 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.4.8-1
- amarok-1.4.8

* Fri Dec 07 2007 Alex Lancaster <alexlan[AT]fedoraproject.org> 1.4.7-14
- Rebuild for new openssl

* Thu Nov 29 2007 Rex Dieter <rdieter[AT]fedoraproejct.org> 1.4.7-13
- fix --with-mp4v2 handling (#346011#c5,6)

* Thu Nov 29 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.4.7-12
- --with-mp4v2 (#346011#c3)
- fix asf/wma support (rh#346011,kde#151733)

* Wed Nov 21 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.4.7-11
- dynamic mode floods playlist ... (kde #148317)

* Wed Nov 21 2007 Todd Zullinger <tmz@pobox.com> 1.4.7-10
- rebuild for libgpod-0.6.0

* Tue Nov 20 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.4.7-9
- cosmetics (cleanup/sort BR's mostly)
- omit "for KDE" from summary/description
- make gst support toggled by macro (disabled by default)

* Sat Nov 10 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.4.7-8
- rebuild

* Sun Oct 07 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.4.7-7
- use xdg-open to start the configured browser

* Sat Oct 06 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.4.7-6
- add "alpha" to the list of archs where HelixPlayer is not available
  (bug 318431)

* Fri Sep 28 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.4.7-5
- add patch 1 to fix Fedora bug 242862: Amarok doesn't support transfer
  of Unicode filenames to MTP devices

* Sun Sep 02 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.4.7-4
- add patch for kde bug 147126 : amarok freezes when trying to play
  mp3 files without mp3 support

* Fri Aug 24 2007 Todd Zullinger <tmz@pobox.com> 1.4.7-3
- rebuild with libgpod-0.5.2

* Sat Aug 18 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.4.7-2
- version 1.4.7

* Sun Aug 05 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.4.6-3
- rebuild for new libmtp (bug 250905)

* Wed Jun 27 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.4.6-2
- add explicit Requires on kdelibs >= 3.5.7 to fix bug 245386

* Mon Jun 18 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.4.6-1
- version 1.4.6

* Mon Feb 19 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.4.5-4
- have the visualisation subpackage require libvisual-plugins (bug 229131)

* Thu Feb 15 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.4.5-3
- fix patch (provided by upstream)

* Wed Feb 14 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.4.5-2
- add patch to fix CVE-2006-6979 (bug 228138)

* Sat Feb 03 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.4.5-1
- version 1.4.5
- drop patch0 and patch1 (merged upstream)

* Thu Jan 25 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.4.4-7
- add patch to enable building with libgpod >= 0.4.2, thanks go to Todd Zullinger

* Wed Jan 17 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.4.4-6
- rebuild for new libgpod

* Thu Jan 11 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.4.4-5
- HelixPlayer is not available on Sparc, exclude it from this arch too
  (#221058)

* Tue Dec 19 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.4.4-4
- add patch to make lastfm work with xine-lib 1.1.3 (sent by upstream)

* Sat Dec 09 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.4.4-3
- rebuild

* Wed Dec 06 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.4.4-2
- rebuild

* Fri Oct 27 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.4.4-1
- version 1.4.4
- enable xine support since xine is now in Fedora

* Sat Oct 07 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.4.3-6
- rebuild for new libtunepimp

* Thu Oct 05 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.4.3-5
- add libmtp support

* Sun Oct 01 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.4.3-4
- rebuild

* Fri Sep 15 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.4.3-3
- add patch for playlist encoding

* Wed Sep 13 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.4.3-2
- buildrequires ruby-devel (checked by configure)

* Wed Sep 13 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.4.3-1
- update to 1.4.3

* Thu Aug 31 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.4.2-2
- add amarok patchset 1

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.4.2-1
- update to 1.4.2
- don't build on x86_64 (requested by the amarok devs)

* Wed Jul 19 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.4.1-3
- fix the gstreamer engine (wrong X-KDE-Amarok-framework-version)

* Sat Jul 08 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.4.1-2
- BuildRequires ruby

* Sat Jul 08 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.4.1-1
- version 1.4.1
- make it possible to build the gst10 engine with a "--with gst10" switch

* Wed May 24 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4.0-5
- Require HelixPlayer on archs where it is the only engine available

* Sun May 21 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4.0-4
- really fix building gst engine on x86_64

* Sun May 21 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4.0-3
- missing buildrequires

* Sun May 21 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4.0-2
- gstreamer engine has been disabled, bring it back in SOURCE1
  where Helix is unavailable (only engine available)

* Mon May 15 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4-1
- version 1.4 final

* Mon May 01 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4-0.13.rc1
- rc1

* Fri Apr 14 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4-0.12.beta3
- add patch to make Gstreamer sufficient to build (only engine available
  on x86_64

* Sun Apr 09 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4-0.11.beta3
- drop the non-free bits
- beta 3 (akode has been disabled)

* Wed Mar 22 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4-0.10.beta2
- enable libgpod support

* Wed Mar 22 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4-0.9.beta2
- make amarok build even with gstreamer only

* Sun Mar 05 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4-0.8.beta2
- version 1.4 beta2

* Wed Feb 22 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4-0.7.beta1
- disable build of Helix engine on x86_64

* Wed Feb 22 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4-0.6.beta1
- remove requirement on HelixPlayer for x86_64, amarok include the headers

* Wed Feb 22 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4-0.5.beta1
- build Helix engine on x86_64

* Wed Feb 22 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4-0.4.beta1
- fix gstramer 0.10 detection again

* Mon Feb 20 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4-0.3.beta1
- fix gstreamer 0.10 detection

* Fri Feb 17 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4-0.1.beta1
- fix gstreamer dependency

* Wed Feb 15 2006 Aurelien Bompard <gauret[AT]free.fr> 1.4-0.1.beta1
- version 1.4-beta1

* Sun Feb 12 2006 Aurelien Bompard <gauret[AT]free.fr> 1.3.8-2
- fix BR for gstreamer < 0.10

* Sat Jan 21 2006 Aurelien Bompard <gauret[AT]free.fr> 1.3.8-1
- version 1.3.8

* Wed Dec 07 2005 Aurelien Bompard <gauret[AT]free.fr> 1.3.7-1
- version 1.3.7

* Sun Nov 20 2005 Aurelien Bompard <gauret[AT]free.fr> 1.3.6-2
- build with libtunepimp
- add patch to use libtunepimp 0.4.0 (api changed)

* Tue Nov 08 2005 Aurelien Bompard <gauret[AT]free.fr> 1.3.6-1
- version 1.3.6
- BR libGL instead of xorg-x11-Mesa-libGL to prepare for X11R7

* Tue Oct 25 2005 Aurelien Bompard <gauret[AT]free.fr> 1.3.5-1
- version 1.3.5

* Mon Oct 24 2005 Aurelien Bompard <gauret[AT]free.fr> 1.3.4-1
- version 1.3.4
- add mysql and postgresql support
- update desktop database
- add %%doc files

* Thu Oct 13 2005 Aurelien Bompard <gauret[AT]free.fr> 1.3.3-1
- version 1.3.3
- drop endian patch

* Wed Sep 21 2005 Aurelien Bompard <gauret[AT]free.fr> 1.3.2-1
- version 1.3.2
- remove patch 4 (applied upstream)

* Sat Sep 10 2005 Aurelien Bompard <gauret[AT]free.fr> 1.3.1-2
- add patch from upstream to fix alsasink in gstreamer
- default to autoaudiosink for gstreamer

* Mon Sep 05 2005 Aurelien Bompard <gauret[AT]free.fr> 1.3.1-1
- version 1.3.1

* Tue Aug 23 2005 Aurelien Bompard <gauret[AT]free.fr> 1.3-6
- add version to obsoletes

* Tue Aug 23 2005 Aurelien Bompard <gauret[AT]free.fr> 1.3-5
- add missing Obsoletes.

* Mon Aug 22 2005 Aurelien Bompard <gauret[AT]free.fr> 1.3-4
- fix endian declaration on ppc

* Mon Aug 22 2005 Aurelien Bompard <gauret[AT]free.fr> 1.3-3
- dont build the Helix engine on arches where HelixPlayer is not built

* Mon Aug 22 2005 Aurelien Bompard <gauret[AT]free.fr> 1.3-2
- disable the akode engine (disabled upstream, see Changelog)
- merge in the Helix engine, since it does not have special Requires.
  HelixPlayer or RealPlayer need to be installed manually (either one)
- updated description

* Mon Aug 22 2005 Aurelien Bompard <gauret[AT]free.fr> 1.3-1
- update to version 1.3
- add Michel Salim's improvements:
  - call gtk-update-icon-cache to (de-)register icons
  - new output plugin subpackage: helix
  - patched gst and helix plugins' default settings

* Fri Jul 01 2005 Aurelien Bompard <gauret[AT]free.fr> 1.2.4-6
- remove -arts subpackage, it is useless

* Thu Jun  2 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.2.4-6.fc5
- remove temporary work-around from 1.2.4-2.fc4
- add patch to fix several missing forward declarations which let
  compilation with gcc >= 4.0.0-9 fail
- re-enable SMP make flags

* Thu Jun  2 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.2.4-5.fc4
- disable SMP make flags, since previous release failed miserably on
  i386 while the one before it succeeded

* Thu Jun  2 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.2.4-4.fc4
- set QTLIB and QTINC, so configure script does not search for Qt in
  QTDIR/lib64 on 64-bit multilib platforms

* Thu Jun  2 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.2.4-3.fc4
- try to fix build problems (#158654): always set QTDIR, always
  buildrequire libtool-ltdl-devel, disable %%fedora conditional BR

* Thu Jun  2 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.2.4-2.fc4
- temporarily add patch to work around Fedora Core bug 159090

* Mon May 23 2005 Aurelien Bompard <gauret[AT]free.fr> 1.2.4-1
- version 1.2.4
- use dist tag
- conditional builds for fc3 and fc4

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 1.2.3-2.fc4
- rebuild on all arches

* Tue Mar 29 2005 Aurelien Bompard <gauret[AT]free.fr> 1.2.3-1.fc4
- version 1.2.3
- add libtool to BuildRequirements
- change release tag for FC4
- add a subpackage for aKode engine

* Mon Mar 14 2005 Aurelien Bompard <gauret[AT]free.fr> 1.2.2-1
- version 1.2.2

* Sat Mar 05 2005 Aurelien Bompard <gauret[AT]free.fr> 1.2.1-1
- version 1.2.1 (bugfixes)

* Mon Feb 14 2005 Aurelien Bompard <gauret[AT]free.fr> 1.2-2
- show in the GNOME menus too

* Sun Feb 13 2005 Aurelien Bompard <gauret[AT]free.fr> 1.2-1
- version 1.2 final
- drop --disable-rpath, won't build with it.
- drop epoch

* Thu Feb 10 2005 Aurelien Bompard <gauret[AT]free.fr> 0:1.2-0.2.beta4
- version 1.2 beta 4

* Sat Nov 27 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.2-0.fdr.0.1.beta1
- version 1.2beta 1
- minor cleanups
- don't ship the desktop files, split the provided one instead

* Sun Oct 24 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.1.1-0.fdr.2
- clean-up buildrequires
- fix --with xine switch
- make a -visualisation subpackage for visualisation plugins
- make a -arts subpackage to lower dependencies

* Wed Oct 20 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.1.1-0.fdr.1
- version 1.1.1

* Mon Sep 27 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.1.0-0.fdr.2
- improve buildrequires

* Sun Sep 26 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.1.0-0.fdr.1
- version 1.1 final

* Tue Sep 14 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.1.0-0.fdr.0.1.beta2
- version 1.1 beta2

* Thu Aug 05 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0.2-0.fdr.1
- version 1.0.2
- added new xine engine

* Tue Jul 13 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0.1-0.fdr.3
- remove BR: libselinux-devel: RH fixed the bug

* Wed Jun 30 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0.1-0.fdr.2
- add Requires: xorg-x11-devel because of a qt packaging bug

* Tue Jun 29 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0.1-0.fdr.1
- version 1.0.1 (bugfixes)

* Mon Jun 21 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0-0.fdr.3
- remove BR: xine-lib-devel
- add BR: xorg-x11-Mesa-libGL and libselinux-devel

* Thu Jun 17 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0-0.fdr.2
- add translations

* Thu Jun 17 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0-0.fdr.1
- version 1.0 final

* Tue Jun 01 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0-0.fdr.0.1.beta4
- update to beta4

* Sun May 09 2004 Aurelien Bompard <gauret[AT]free.fr> 1.0-0.fdr.0.1.beta3
- version 1.0-beta3

* Fri Apr 23 2004 Aurelien Bompard <gauret[AT]free.fr> 1.0-0.fdr.0.1.beta2
- version 1.0-beta2
- use desktop-file-install
- remove .la files
- remove --enable-final (won't build with it)

* Thu Apr 15 2004 Aurelien Bompard <gauret[AT]free.fr> 1.0-0.fdr.0.1.beta1
- version 1.0-beta1
- reduce BuildRequires : arts-devel already requires arts, libvorbis-devel
  and audiofile-devel

* Mon Mar 08 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9-0.fdr.1
- version 0.9

* Wed Feb 11 2004 Aurelien Bompard <gauret[AT]free.fr> 0.8.3-0.fdr.1
- initial package
